Skip to main content
GET
List Content

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,external_reference,course_ids,remote_course_ids,title,description,additional_data,languages,content_url,mobile_launch_content_url,content_type,cover_url,active,duration,order,categories,skills,updated_at,created_at,provider,localizations,tags,authors,unified_custom_fields"

filter
object | null

LMS Courses Filter

page
string | null

The page number of the results to fetch

page_size
string | null

The number of results per page (default value is 25)

next
string | null

The unified cursor

updated_after
string<date-time> | null

Use a string with a date to only select results updated after that given date

Example:

"2020-01-01T00:00:00.000Z"

Response

The list of content was retrieved.

data
object[]
required
next_page
string | null
deprecated
next
string | null
total
number | null
raw
object[] | null